<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AllowFieldsToBeNullableOnAddressTable extends Migration
{
    public function up(): void
    {
        Schema::table('addresses', static function (Blueprint $table): void {
            $table->string('line_1')->nullable()->change();
            $table->string('country')->nullable()->change();
            $table->string('area_code')->nullable()->change();
        });
    }
}
